четвер, 22 січня 2009 р.

Flash Switcher Ubuntu Issues

There's a really useful firefox extension for flash/flex developers called Flash Switcher there are win, mac and linux version of it so I decided to try it in Ubuntu.
The way it works is really simple:
- after installing the extension you get a flash icon in status bar with a menu listing your current flash plugin version and two more from the plugin's local repository - those are 7.0 and 9.0 by default. You set the "Firefox plugins directory" in settings to tell the extensions where is your flash plugin located. Each time you change flash plugin version - it gets rewrited by the version you chose from extension's menu.

First thing I decided to do is to add a few more:
1) current ubuntu's "flashplugin-nonfree" lib (that's the one playing sound through pulseaudio so I really need it)
2) and flashplugin developer version (the one that allows debugging you know)

for that I've created two more folders at extension's path:
~/.mozilla/firefox/.default/extensions/flash_switcher@sephiroth.it/plugins/linux/ (the folder containing linux flash plugins of different versions)

10.0 dev and 10.0 ubuntu
and copied the libflashplugin.so to each one (debug version is at adobe's site and the ubuntu's is in /usr/lib/flashplugin-nonfree)

Next thing I've been confused by was that the extension didn't switch anything according to about:plugins flash plugin was still version 10:
By default, the extension uses ~/.mozilla/plugins dir to write the flash plugin lib to, but... there is a symbolic link to /usr/lib/flashplugin-nonfree/libflashplugin.so named @flashplugin-nonfree or something like that which overrides the lib placed into .mozilla/plugins dir by the flash switcher extension... so I decided to fix it in a bit inappropriate way - I made /usr/lib/flashplugin-nonfree writable and set it a "Firefox Plugins Directory" in flash switcher's settings. That fixed the issue.
Дописати коментар